/* global CKEDITOR, django */
/* Modified in order to be manually loaded after vue.js */

  function initialiseCKEditor() {
    var textareas = Array.prototype.slice.call(
      document.querySelectorAll("textarea[data-type=ckeditortype]"),
    )
    for (var i = 0; i < textareas.length; ++i) {
      var t = textareas[i]
      if (
        t.getAttribute("data-processed") == "0" &&
        t.id.indexOf("__prefix__") == -1
      ) {
        t.setAttribute("data-processed", "1")
        var ext = JSON.parse(t.getAttribute("data-external-plugin-resources"))
        for (var j = 0; j < ext.length; ++j) {
          CKEDITOR.plugins.addExternal(ext[j][0], ext[j][1], ext[j][2])
        }
        CKEDITOR.replace(t.id, JSON.parse(t.getAttribute("data-config")))
      }
    }
  }

  function initialiseCKEditorInInlinedForms() {
    if (typeof django === "object" && django.jQuery) {
      django.jQuery(document).on("formset:added", initialiseCKEditor)
    }
  }
//})()
